> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create file share access rule



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule:
    post:
      tags:
        - File Shares
      summary: Create file share access rule
      operationId: SfsAccessRuleViewSet.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: file_share_id
          required: true
          description: File Share ID
          schema:
            description: File Share ID
            example: bd8c47ee-e565-4e26-8840-b537e6827b08
            examples:
              - bd8c47ee-e565-4e26-8840-b537e6827b08
            format: uuid4
            title: File Share Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccessRuleSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessRuleSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            access_rule = client.cloud.file_shares.access_rules.create(
                file_share_id="bd8c47ee-e565-4e26-8840-b537e6827b08",
                project_id=1,
                region_id=1,
                access_mode="ro",
                ip_address="192.168.1.1",
            )
            print(access_rule.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccessRule, err := client.Cloud.FileShares.AccessRules.New(\n\t\tcontext.TODO(),\n\t\t\"bd8c47ee-e565-4e26-8840-b537e6827b08\",\n\t\tcloud.FileShareAccessRuleNewParams{\n\t\t\tProjectID:  gcore.Int(1),\n\t\t\tRegionID:   gcore.Int(1),\n\t\t\tAccessMode: cloud.FileShareAccessRuleNewParamsAccessModeRo,\n\t\t\tIPAddress:  \"192.168.1.1\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", accessRule.ID)\n}\n"
components:
  schemas:
    CreateAccessRuleSerializer:
      properties:
        access_mode:
          $ref: '#/components/schemas/AccessLevelChoices'
          description: Access mode
          examples:
            - ro
        ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - format: ipvanynetwork
              type: string
          description: Source IP or network
          examples:
            - 192.168.1.1
            - 2001:db8::1
            - 10.0.0.0/24
            - fd00::/8
            - 0.0.0.0/0
            - '::/0'
          title: Ip Address
      required:
        - access_mode
        - ip_address
      title: CreateAccessRuleSerializer
      type: object
    AccessRuleSerializer:
      properties:
        access_level:
          $ref: '#/components/schemas/AccessLevelChoices'
          description: Access mode
          examples:
            - ro
        access_to:
          anyOf:
            - format: ipvanyaddress
              type: string
            - format: ipvanynetwork
              type: string
          description: Source IP or network
          examples:
            - 192.168.1.1
            - 2001:db8::1
            - 10.0.0.0/24
            - fd00::/8
            - 0.0.0.0/0
            - '::/0'
          title: Access To
        id:
          description: Access Rule ID
          example: 4f09d7dd-f1f8-4352-b015-741b2192db47
          examples:
            - 4f09d7dd-f1f8-4352-b015-741b2192db47
          format: uuid4
          title: Id
          type: string
        state:
          $ref: '#/components/schemas/AccessRuleStateChoices'
          description: Access Rule state
          examples:
            - active
      required:
        - access_level
        - access_to
        - id
        - state
      title: AccessRuleSerializer
      type: object
    AccessLevelChoices:
      enum:
        - ro
        - rw
      title: AccessLevelChoices
      type: string
    AccessRuleStateChoices:
      enum:
        - active
        - applying
        - denying
        - error
        - new
        - queued_to_apply
        - queued_to_deny
      title: AccessRuleStateChoices
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````